Bug 147844 - RF -> RG (part II)
Summary: RF -> RG (part II)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-14 07:10 UTC by Philip M. Gollucci
Modified: 2010-06-23 19:50 UTC (History)
1 user (show)

See Also:


Attachments
rubygem.diff (19.94 KB, patch)
2010-06-14 07:10 UTC, Philip M. Gollucci
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philip M. Gollucci freebsd_committer 2010-06-14 07:10:03 UTC
#!/bin/sh -x

PORTSDIR=/ruby
cd $PORTSDIR

ports=$(ip dir rubygem- M | xargs grep -l RF | sed -e 's,/Makefile,,')
for port in $ports; do
  echo "perl -pi -e 's,RF.*,RG,' $port/Makefile"
  perl -pi -e 's,RF.*,RG,' $port/Makefile
done

for p in $ports; do
    cd $PORTSDIR/$p
    make MASTER_SITE_BACKUP= makesum
done 2>&1 |grep ^Stop > ~/r

cat ~/r | sed -e "s,.*ports/,," -e 's,.$,,' |xargs cvs up -dPC

cd $PORTSDIR
echo $ports | xargs cvs diff > ~/rg2rf.diff
Comment 1 Philip M. Gollucci freebsd_committer 2010-06-14 23:20:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 2 Philip M. Gollucci freebsd_committer 2010-06-14 23:34:26 UTC
Responsible Changed
From-To: pgollucci->portmgr

quick review/approval
Comment 3 Florent Thoumie 2010-06-15 11:58:46 UTC
Looks ok.

Any reason why three ports have different distfiles/checksums?

-- 
Florent Thoumie
flz@FreeBSD.org
FreeBSD Committer
Comment 4 Philip M. Gollucci 2010-06-15 20:10:39 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 06/15/10 10:58, Florent Thoumie wrote:
> Looks ok.
> 
> Any reason why three ports have different distfiles/checksums?
> 
It has to with RG (Rubygems).  Sometimes the authors repackage them when
moving as opposed to simply re-uploading.

It caught me off gaurd in the Part I pr where I only ran make fetch.

Fool me once, shame on me. Fool me twice......




- -- 
- ------------------------------------------------------------------------
1024D/DB9B8C1C B90B FBC3 A3A1 C71A 8E70  3F8C 75B8 8FFB DB9B 8C1C
Philip M. Gollucci (pgollucci@p6m7g8.com) c: 703.336.9354
VP Apache Infrastructure; Member, Apache Software Foundation
Committer,                        FreeBSD Foundation
Consultant,                       P6M7G8 Inc.
Sr. System Admin,                 Ridecharge Inc.

Work like you don't need the money,
love like you'll never get hurt,
and dance like nobody's watching.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.14 (FreeBSD)

iD8DBQFMF9AvdbiP+9ubjBwRAoJoAJ9su5y855xpgGXuHCsIimPccI89TACfWOs5
A7jP/HKj+eBG1z/Kh6F2nP4=
=vvT4
-----END PGP SIGNATURE-----
Comment 5 Philip M. Gollucci freebsd_committer 2010-06-23 16:21:37 UTC
Responsible Changed
From-To: portmgr->pgollucci

reviewed by portmgr@(flz)
Comment 6 Philip M. Gollucci freebsd_committer 2010-06-23 19:42:14 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 7 dfilter service freebsd_committer 2010-06-23 19:42:25 UTC
pgollucci    2010-06-23 18:42:12 UTC

  FreeBSD ports repository

  Modified files:
    devel/rubygem-arrayfields Makefile 
    devel/rubygem-configuration Makefile 
    devel/rubygem-directory_watcher Makefile 
    devel/rubygem-ditz   Makefile 
    devel/rubygem-fattr  Makefile 
    devel/rubygem-getopt Makefile 
    devel/rubygem-grit   Makefile 
    devel/rubygem-jruby-jars Makefile 
    devel/rubygem-launchy Makefile 
    devel/rubygem-little_plugger Makefile 
    devel/rubygem-locale Makefile distinfo 
    devel/rubygem-lockfile Makefile 
    devel/rubygem-loquacious Makefile 
    devel/rubygem-main   Makefile 
    devel/rubygem-rake   Makefile 
    devel/rubygem-trollop Makefile 
    devel/rubygem-uuid   Makefile 
    devel/rubygem-warbler Makefile 
    net/rubygem-macaddr  Makefile 
    net/rubygem-oauth    Makefile 
    print/rubygem-prawn  Makefile 
    print/rubygem-prawn-core Makefile 
    print/rubygem-prawn-format Makefile 
    print/rubygem-prawn-layout Makefile 
    print/rubygem-prawn-security Makefile 
    security/rubygem-nmap-parser Makefile 
    sysutils/rubygem-sys-cpu Makefile 
    textproc/rubygem-diff-lcs Makefile 
    textproc/rubygem-htmlentities Makefile distinfo 
    textproc/rubygem-rdiscount Makefile 
    textproc/rubygem-termcolor Makefile 
    www/rubygem-httparty Makefile distinfo 
  Log:
  RF -> RG Conversion (Part II)
  
  PR:             ports/147844
  Submitted by:   pgollucci (myself)
  Reviewed by:    portmgr (flz)
  Discussed with: portmgr (pav)
  Tested by:      make checksum
  
  Feature safe:   yes
  
  Revision  Changes    Path
  1.6       +1 -1      ports/devel/rubygem-arrayfields/Makefile
  1.2       +1 -1      ports/devel/rubygem-configuration/Makefile
  1.2       +1 -1      ports/devel/rubygem-directory_watcher/Makefile
  1.3       +1 -1      ports/devel/rubygem-ditz/Makefile
  1.5       +1 -1      ports/devel/rubygem-fattr/Makefile
  1.2       +1 -1      ports/devel/rubygem-getopt/Makefile
  1.7       +1 -1      ports/devel/rubygem-grit/Makefile
  1.3       +1 -1      ports/devel/rubygem-jruby-jars/Makefile
  1.2       +1 -1      ports/devel/rubygem-launchy/Makefile
  1.4       +1 -1      ports/devel/rubygem-little_plugger/Makefile
  1.39      +1 -1      ports/devel/rubygem-locale/Makefile
  1.24      +3 -3      ports/devel/rubygem-locale/distinfo
  1.4       +1 -1      ports/devel/rubygem-lockfile/Makefile
  1.4       +1 -1      ports/devel/rubygem-loquacious/Makefile
  1.9       +1 -1      ports/devel/rubygem-main/Makefile
  1.21      +1 -1      ports/devel/rubygem-rake/Makefile
  1.9       +1 -1      ports/devel/rubygem-trollop/Makefile
  1.5       +1 -1      ports/devel/rubygem-uuid/Makefile
  1.9       +1 -1      ports/devel/rubygem-warbler/Makefile
  1.3       +1 -1      ports/net/rubygem-macaddr/Makefile
  1.10      +1 -1      ports/net/rubygem-oauth/Makefile
  1.6       +1 -1      ports/print/rubygem-prawn-core/Makefile
  1.6       +1 -1      ports/print/rubygem-prawn-format/Makefile
  1.7       +1 -1      ports/print/rubygem-prawn-layout/Makefile
  1.2       +1 -1      ports/print/rubygem-prawn-security/Makefile
  1.12      +1 -1      ports/print/rubygem-prawn/Makefile
  1.5       +1 -1      ports/security/rubygem-nmap-parser/Makefile
  1.2       +1 -1      ports/sysutils/rubygem-sys-cpu/Makefile
  1.4       +1 -1      ports/textproc/rubygem-diff-lcs/Makefile
  1.3       +1 -1      ports/textproc/rubygem-htmlentities/Makefile
  1.3       +3 -3      ports/textproc/rubygem-htmlentities/distinfo
  1.8       +1 -1      ports/textproc/rubygem-rdiscount/Makefile
  1.4       +1 -1      ports/textproc/rubygem-termcolor/Makefile
  1.8       +1 -1      ports/www/rubygem-httparty/Makefile
  1.7       +3 -3      ports/www/rubygem-httparty/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"